Subject: bug#25322: Acknowledgement ([AUCTeX-devel] preview-latex coding system problem with Japanese LaTeX)

From: Mosè Giordano <[email-masked]>
Date: Fri, 19 May 2017 12:40:04 +0200

Hi Keita,

2017-05-18 15:32 GMT+02:00 Ikumi Keita <[email-masked]>:
> Hi all,
>
> I worked on to resolve the remaining problems with respect to the
> incompatibility between preview-latex and Japanese LaTeX, and think that
> I managed to sort out them.  Please take a look at the attached patch.
>
> My basic plan, in addtion to the part described before in
> http://lists.gnu.org/archive/html/auctex-devel/2016-09/msg00101.html
> , is
> (1) Implement in tex-buf.el a function to adjust the process coding
>     system for normal tex documents as well as Japanese tex documents
>     and make it the new default value for
>     `TeX-after-start-process-function', which was previously used only
>     for Japanese TeX by tex-jp.el.  With this change, all tex processes
>     invoked within AUCTeX are given suitable coding systems.
> (2) Make preview-latex to examine the coding system set in (1), and
>     use it to decode later if it decides not to decode during receiving
>     outputs and to store them as byte sequence in order to work around
>     xemacs bug.  To achieve this, the patch changes the meaning of the
>     variable `preview-coding-system'.  Its value used to be the "new"
>     coding system, which is potentially `raw-text' preserving the byte
>     sequence, but it's now the "original" coding system assigned to the
>     process, which decodes the outputs properly.
>
> Any comments and suggestions are greatly welcome.

I only read the patch, didn't actually try it, but I'm confident you
did it ;-)  I didn't see anything clearly wrong.  I have only a
request: do you think it's possible to add a test for this fix?

Bye,
Mosè